--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Gets a Collection with the current Resource instance as its only member
- !ruby/struct:SM::Flow::P 
  body: "@return [Collection, FalseClass]"
- !ruby/struct:SM::Flow::VERB 
  body: "  nil if this is a new record,\n  otherwise a Collection with self as its only member\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Resource#collection
is_singleton: false
name: collection
params: ()
visibility: public
